org.eclnt.jsfserver.elements.impl.selfcontaining

## Class SCComponentAdapterBinding

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.selfcontaining.SCComponentAdapterBinding

- All Implemented Interfaces:
    java.io.Serializable, IComponentAdapterBinding

      public class SCComponentAdapterBinding
      extends java.lang.Object
      implements IComponentAdapterBinding

  Data and processing adapter for one component.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCComponentAdapterBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSCActionListener(ISCComponentActionListener actionListener)`
    `void` | `addSCAttributeListener(ISCComponentAttributeListener attributeListener)`
    `void` | `clearSCActionListeners()`
    `void` | `clearSCAttributeListeners()`
    `java.lang.Class` | `getAttibuteType(java.lang.String attributeName)` This method needs only to be implemented for these attributes which are set later on.
    `java.lang.Object` | `getAttributeValue(java.lang.String attributeName)` Get the attribute value for an attribute.
    `java.util.Set<java.lang.String>` | `getDynamicAttributeNames()` Name of the attributes that are dynamic over the whole lifecycle of the corresponding object.
    `java.util.Set<java.lang.String>` | `getFixAttributeNames()` Name of the attributes that are set one time but not changed later on anymore.
    `void` | `initializeComponent(ISCComponent component)`
    `void` | `onAction(ActionEvent event)` Action listener that is called when the component processes an action event.
    `protected void` | `processAttributeUpdate(java.lang.String attributeName, java.lang.Object attributeValue)`
    `protected void` | `processSCActionEvent(BaseActionEvent event)`
    `void` | `removeSCActionListener(ISCComponentActionListener actionListener)`
    `void` | `removeSCAttributeListener(ISCComponentAttributeListener attributeListener)`
    `void` | `setAttributeValue(java.lang.String attributeName, java.lang.Object value)` Set the attribute value.
    `void` | `setAttributeValueByLogic(java.lang.String attributeName, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCComponentAdapterBinding

          public SCComponentAdapterBinding()

  - ### Method Detail

    - #### initializeComponent

          public void initializeComponent(ISCComponent component)

    - #### getFixAttributeNames

          public java.util.Set<java.lang.String> getFixAttributeNames()

      Description copied from interface: `IComponentAdapterBinding`
      Name of the attributes that are set one time but not changed later on anymore.
      Specified by:
        `getFixAttributeNames` in interface `IComponentAdapterBinding`

    - #### getDynamicAttributeNames

          public java.util.Set<java.lang.String> getDynamicAttributeNames()

      Description copied from interface: `IComponentAdapterBinding`
      Name of the attributes that are dynamic over the whole lifecycle of the corresponding object.
      Specified by:
        `getDynamicAttributeNames` in interface `IComponentAdapterBinding`

    - #### setAttributeValueByLogic

          public void setAttributeValueByLogic(java.lang.String attributeName,
                                               java.lang.Object value)

    - #### setAttributeValue

          public void setAttributeValue(java.lang.String attributeName,
                                        java.lang.Object value)

      Description copied from interface: `IComponentAdapterBinding`
      Set the attribute value. This only needs to be implemented for these attributes that are actually set (e.g. in case of a FIELD component only the attribute that manages the TEXT attribute needs to implement the corresponding reaction).
      Specified by:
        `setAttributeValue` in interface `IComponentAdapterBinding`

    - #### getAttibuteType

          public java.lang.Class getAttibuteType(java.lang.String attributeName)

      Description copied from interface: `IComponentAdapterBinding`
      This method needs only to be implemented for these attributes which are set later on. It needs not to be implemented for these attributes that are "get-only". In case of returning null as type the default mechanism will be used for transferring the UI value into an object value.
      Specified by:
        `getAttibuteType` in interface `IComponentAdapterBinding`

    - #### getAttributeValue

          public java.lang.Object getAttributeValue(java.lang.String attributeName)

      Description copied from interface: `IComponentAdapterBinding`
      Get the attribute value for an attribute.
      Specified by:
        `getAttributeValue` in interface `IComponentAdapterBinding`

    - #### onAction

          public void onAction(ActionEvent event)

      Description copied from interface: `IComponentAdapterBinding`
      Action listener that is called when the component processes an action event. This action listener is called when no explicit actionListener is defined with the component.
      Specified by:
        `onAction` in interface `IComponentAdapterBinding`

    - #### addSCActionListener

          public void addSCActionListener(ISCComponentActionListener actionListener)

    - #### removeSCActionListener

          public void removeSCActionListener(ISCComponentActionListener actionListener)

    - #### clearSCActionListeners

          public void clearSCActionListeners()

    - #### addSCAttributeListener

          public void addSCAttributeListener(ISCComponentAttributeListener attributeListener)

    - #### removeSCAttributeListener

          public void removeSCAttributeListener(ISCComponentAttributeListener attributeListener)

    - #### clearSCAttributeListeners

          public void clearSCAttributeListeners()

    - #### processSCActionEvent

          protected void processSCActionEvent(BaseActionEvent event)

    - #### processAttributeUpdate

          protected void processAttributeUpdate(java.lang.String attributeName,
                                                java.lang.Object attributeValue)

Copyright © CaptainCasa Gmbh. All Rights Reserved.